## gate.util.persistence
Class CollectionPersistence

    java.lang.Object
      |
      +--gate.util.persistence.CollectionPersistence

All Implemented Interfaces:
  Persistence, Serializable

public class CollectionPersistence
extends Object
implements Persistence

See Also:
  Serialized Form

Constructor Summary
`CollectionPersistence()`

Method Summary
`Object` `createObject()` Creates a new object from the data contained.
`void` `extractDataFromSource(Object source)` Populates this Persistence with the data that needs to be stored from the original source object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionPersistence

    public CollectionPersistence()

Method Detail

### extractDataFromSource

    public void extractDataFromSource(Object source)
                               throws PersistenceException

  Populates this Persistence with the data that needs to be stored from the original source object.
  Specified by:
    `extractDataFromSource` in interface `Persistence`

### createObject

    public Object createObject()
                        throws PersistenceException,
                               ResourceInstantiationException

  Creates a new object from the data contained. This new object is supposed to be a copy for the original object used as source for data extraction.
  Specified by:
    `createObject` in interface `Persistence`